#! /usr/bin/python
# -*- coding: utf-8 -*-

# HARK Middleware
# Copyright (C) 2013-2019 by Honda Research Institute Japan Co., Ltd.
# $Id:$

from harkmw.HarkError import HARKError

import harkmwnative


class Dynamic:
    def __init__(self):
        pass

    def load_dynamic(self, path):
        try:
            harkmwnative.load_dynamic(path)

        except BaseException:
            raise HARKError("Failed to load dynamic library '%s'" % path)

    def print_modules(self):
        try:
            harkmwnative.print_modules()

        except BaseException:
            raise HARKError("Failed to print modules")

# end of file
